using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Rendering;


namespace X2Engine
{
    [ExecuteInEditMode]
    public class RainOcclusion : MonoBehaviour
    {
        public int m_subMesh = -1;
        Renderer m_renderer = null;
        void OnEnable()
        {
            m_renderer = GetComponent<Renderer>();
            if (m_renderer)
                RainOcclusionReceiver.Instance.Register(m_renderer, m_subMesh);
        }

        void OnDisable()
        {
            if (m_renderer)
                RainOcclusionReceiver.Instance.UnRegister(m_renderer);
        }

    }
}
